> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Rotate Api Keys

> Generate new API key + secret. Old ones are immediately invalidated.



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json post /v1/partners/api-keys/rotate
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/partners/api-keys/rotate:
    post:
      tags:
        - partners
      summary: Rotate Api Keys
      description: Generate new API key + secret. Old ones are immediately invalidated.
      operationId: rotate_api_keys_v1_partners_api_keys_rotate_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerAPIKeyRotateResponse'
components:
  schemas:
    PartnerAPIKeyRotateResponse:
      properties:
        api_key:
          type: string
          title: Api Key
        api_secret:
          type: string
          title: Api Secret
        api_key_prefix:
          type: string
          title: Api Key Prefix
      type: object
      required:
        - api_key
        - api_secret
        - api_key_prefix
      title: PartnerAPIKeyRotateResponse

````